# - Config file for the Enzyme package

# Compute paths
get_filename_component(Enzyme_CMAKE_DIR "${CMAKE_CURRENT_LIST_FILE}" PATH)
set(Enzyme_LLVM_VERSION_MAJOR "14")
set(Enzyme_LLVM_VERSION_MINOR "0")
set(Enzyme_LLVM_VERSION_PATCH "3")
set(Enzyme_LLVM_DIR "/workspace/x86_64-unknown-freebsd13.2-libgfortran5-cxx11-llvm_version+14.asserts/destdir/lib/cmake/llvm")
set(Enzyme_LLVM_BINARY_DIR "/workspace/x86_64-unknown-freebsd13.2-libgfortran5-cxx11-llvm_version+14.asserts/destdir")
set(Enzyme_CLANG_EXE "")
set(Enzyme_TABLEGEN_EXE "")

# Our library dependencies (contains definitions for IMPORTED targets)
if(NOT TARGET ClangEnzymeFlags AND NOT TARGET LLDEnzymeFlags AND NOT TARGET LLVMEnzyme-${Enzyme_LLVM_VERSION_MAJOR} AND NOT TARGET ClangEnzyme-${Enzyme_LLVM_VERSION_MAJOR} AND NOT TARGET LLDEnzyme-${Enzyme_LLVM_VERSION_MAJOR} AND NOT Enzyme_BINARY_DIR)
    include("${Enzyme_CMAKE_DIR}/EnzymeTargets.cmake")
    # These are IMPORTED targets created by EnzymeTargets.cmake
    set(Enzyme_LIBRARIES ClangEnzymeFlags LLDEnzymeFlags LLVMEnzyme-${Enzyme_LLVM_VERSION_MAJOR} ClangEnzyme-${Enzyme_LLVM_VERSION_MAJOR} LLDEnzyme-${LLD_LLVM_VERSION_MAJOR})
endif()
